unit VisAngleLabel;

interface

uses
  DesignIntf, DesignEditors,
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, stdctrls,
  VisLabel;

type
  TVisAngleLabel = class(TVisLabel)
  protected
    function createLabel: TLabel; override;
  end;


procedure Register;


implementation
uses
  AngleLabel;

procedure Register;
begin
  RegisterComponents('Scada', [TVisAngleLabel]);
end;


function TVisAngleLabel.createLabel: TLabel;
//var
//  al: TAngleLabel;
begin
  result := TAngleLabel.Create(Self);
  Result.Font.Name := 'Courier New';
  Result.Font.Size := 10;
//  result.Name := 'objLabel';
//  result.Caption := '';
//  result.Parent := self;
//  result.Visible := true;
//  result.SetSubComponent(true);
//  result.OnClick := OnDeviceClick;
//  result.OnDblClick := OnDeviceDblClick;
end;

end.
